## org.exist.xquery.test
Class XQueryUseCasesTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.XQueryUseCasesTest

All Implemented Interfaces:
  junit.framework.Test

public class XQueryUseCasesTest
extends junit.framework.TestCase

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`XQueryUseCasesTest(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testNS()`
`void` `testParts()`
`void` `testSeq()`
`void` `testSGML()`
`void` `testString()`
`void` `testTREE()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XQueryUseCasesTest

    public XQueryUseCasesTest(java.lang.String name)

Method Detail

### main

    public static void main(java.lang.String[] args)

### testSGML

    public void testSGML()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testTREE

    public void testTREE()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testParts

    public void testParts()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testString

    public void testString()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNS

    public void testNS()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSeq

    public void testSeq()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright (C) Wolfgang Meier. All rights reserved.